#!/usr/bin/perl
#***************************************************************************
#                                                                           
#  FILE        :install                                                     
#  DESCRIPTION :PA10-(6C/7C) motion control board Linux Driver install script
#  history:                                                                 
#     v1.0.0:  2002.11.30                                                   
#        original issue                                                     
#***************************************************************************
$module='papci';
$devmode='666';
$devtype='c';
$devmajor=0;
$devminor=0;



system("/sbin/insmod -f $module.ko devmajor=$devmajor");
if($? != 0){
    print STDERR "insmod failed\n";
    exit(1);
}


open(F,"/proc/devices");
while(<F>){
    split;
    if($_[1] eq "papci"){
	$devmajor=$_[0];
	break;
    }
}
close(F);

print STDERR "auto-selected ";
print STDERR "device major($devtype)=$devmajor\n";


$nod='/dev/papci';

print "device $devmajor:$devminor: $nod\n"; 
if(-e $nod) {
	unlink($nod);
	if(-e $nod) {
		print STDERR "cannot remove '$nod'\n";
	}
}

system("mknod -m $devmode $nod $devtype $devmajor $devminor");
if($? ne '0'){
	print STDERR "error occured in making device file '$nod'\n";
	exit(1);
}

exit(0);
